# Retour sur la recherche (/fr/api-reference/endpoint/search-feedback)

<!-- agent-signals: reading_time_min: 3 · est_tokens: 2137 · updated: 2026-07-30 -->
Related: [Recherche](/fr/api-reference/endpoint/search.md), [Scrape](/fr/api-reference/endpoint/scrape.md), [Scrape par lot](/fr/api-reference/endpoint/batch-scrape.md), [Obtenir l’état d’une extraction par lot](/fr/api-reference/endpoint/batch-scrape-get.md), [Annuler une extraction par lots](/fr/api-reference/endpoint/batch-scrape-delete.md), [Récupérer les erreurs d'extraction par lot](/fr/api-reference/endpoint/batch-scrape-get-errors.md)

Utilisez le retour sur la recherche après avoir utilisé un résultat `search` ou lorsqu’il ne s’avère pas utile. Le retour améliore la qualité des résultats et peut donner lieu au remboursement d’1 crédit pour le premier envoi de retour sur une tâche de recherche, sous réserve des limites de l’équipe.

<div id="example-request">
  ### Exemple de requête [#exemple-de-requête]
</div>

```bash
curl -X POST "https://api.firecrawl.dev/v2/search/550e8400-e29b-41d4-a716-446655440000/feedback" \
  -H "Authorization: Bearer $FIRECRAWL_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "rating": "good",
    "valuableSources": [
      {
        "url": "https://docs.firecrawl.dev/features/search",
        "reason": "Most up-to-date description of /search."
      }
    ],
    "missingContent": [
      {
        "topic": "Pricing for the search endpoint",
        "description": "No pricing tier table for /search specifically."
      }
    ],
    "querySuggestions": "Boost docs.firecrawl.dev for queries that mention Firecrawl"
  }'
```

`POST /search/{jobId}/feedback`

Envoyer un retour sur une tâche de recherche

## OpenAPI

```json
{
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "parameters": [
    {
      "description": "ID de tâche de recherche renvoyé par /search.",
      "in": "path",
      "name": "jobId",
      "required": true,
      "schema": {
        "format": "uuid",
        "type": "string"
      }
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "description": "Pour « good », incluez valuableSources. Pour « partial », incluez valuableSources ou missingContent. Pour « bad », incluez missingContent ou querySuggestions.",
          "properties": {
            "integration": {
              "nullable": true,
              "type": "string"
            },
            "missingContent": {
              "items": {
                "properties": {
                  "description": {
                    "maxLength": 2000,
                    "type": "string"
                  },
                  "topic": {
                    "maxLength": 200,
                    "minLength": 1,
                    "type": "string"
                  }
                },
                "required": [
                  "topic"
                ],
                "type": "object"
              },
              "maxItems": 20,
              "type": "array"
            },
            "origin": {
              "default": "api",
              "type": "string"
            },
            "querySuggestions": {
              "maxLength": 2000,
              "type": "string"
            },
            "rating": {
              "enum": [
                "good",
                "partial",
                "bad"
              ],
              "type": "string"
            },
            "valuableSources": {
              "items": {
                "properties": {
                  "reason": {
                    "maxLength": 1000,
                    "type": "string"
                  },
                  "url": {
                    "format": "uri",
                    "type": "string"
                  }
                },
                "required": [
                  "url"
                ],
                "type": "object"
              },
              "maxItems": 50,
              "type": "array"
            }
          },
          "required": [
            "rating"
          ],
          "type": "object"
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "alreadySubmitted": {
                "type": "boolean"
              },
              "creditsRefunded": {
                "type": "number"
              },
              "creditsRefundedToday": {
                "type": "number"
              },
              "dailyCapReached": {
                "type": "boolean"
              },
              "dailyRefundCap": {
                "type": "number"
              },
              "feedbackId": {
                "format": "uuid",
                "type": "string"
              },
              "success": {
                "example": true,
                "type": "boolean"
              },
              "warning": {
                "type": "string"
              }
            },
            "required": [
              "success",
              "feedbackId",
              "creditsRefunded"
            ],
            "type": "object"
          }
        }
      },
      "description": "Retour enregistré"
    },
    "400": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "details": {
                "items": {
                  "type": "object"
                },
                "type": "array"
              },
              "error": {
                "type": "string"
              },
              "feedbackErrorCode": {
                "type": "string"
              },
              "success": {
                "example": false,
                "type": "boolean"
              }
            },
            "required": [
              "success",
              "error"
            ],
            "type": "object"
          }
        }
      },
      "description": "Corps de la requête invalide"
    },
    "403": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "details": {
                "items": {
                  "type": "object"
                },
                "type": "array"
              },
              "error": {
                "type": "string"
              },
              "feedbackErrorCode": {
                "type": "string"
              },
              "success": {
                "example": false,
                "type": "boolean"
              }
            },
            "required": [
              "success",
              "error"
            ],
            "type": "object"
          }
        }
      },
      "description": "Le retour n’est pas disponible pour cette équipe"
    },
    "404": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "details": {
                "items": {
                  "type": "object"
                },
                "type": "array"
              },
              "error": {
                "type": "string"
              },
              "feedbackErrorCode": {
                "type": "string"
              },
              "success": {
                "example": false,
                "type": "boolean"
              }
            },
            "required": [
              "success",
              "error"
            ],
            "type": "object"
          }
        }
      },
      "description": "Recherche introuvable pour cette équipe"
    },
    "409": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "details": {
                "items": {
                  "type": "object"
                },
                "type": "array"
              },
              "error": {
                "type": "string"
              },
              "feedbackErrorCode": {
                "type": "string"
              },
              "success": {
                "example": false,
                "type": "boolean"
              }
            },
            "required": [
              "success",
              "error"
            ],
            "type": "object"
          }
        }
      },
      "description": "Le retour ne peut pas être enregistré pour cette recherche"
    },
    "500": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "details": {
                "items": {
                  "type": "object"
                },
                "type": "array"
              },
              "error": {
                "type": "string"
              },
              "feedbackErrorCode": {
                "type": "string"
              },
              "success": {
                "example": false,
                "type": "boolean"
              }
            },
            "required": [
              "success",
              "error"
            ],
            "type": "object"
          }
        }
      },
      "description": "Erreur serveur"
    }
  }
}
```
